Create Card API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Create Card API to generate a new card and subsequently associate it with a customer account. It leverages the Customer ID parameter to establish the necessary linkage between the newly generated card and the respective customer.

Environment

Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/uat/sbx/api/issuance/v3/createCard \
     --header 'X-Consumer-Custom-ID: F42BC4E7B801C834B630DE498473533F' \
     --header 'bankId: 6060' \
     --header 'clientId: 1060' \
     --header 'content-type: application/json' \
     --header 'entityId: 100' \
     --header 'secureCode: pu8gSMLNE7pNv36IlUmstU' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "token": "TVI6w+zbfFA9pBE4c3zSjyNutEWuwI3MiQ54cvtADERCi7Uq9GECHHEJWlHqlOrjf6fR4YnbUXV6ubofEfJL7RocA2XPyf169Z2Oe2QPnYetvIjMjub40YkenTlAHDY/U1AfnhQ3eiZCQoET+uv3OPupdzXrVdoARbQEixNqR7R8vBQycrVBrBgDT9h1BOf46RG3q+ELnHc9YzH5PIqz23h3Gn35dVO1NoFWW4UhiJHUdEKv/oLKx2fcH731C4QshhWWlFlIKFRw52BWrRJv5nzhg3t6f8QtBan1ndgJDrBwp2zhCc9RLSLXZufEjeZS"
}
'
Response parameters
AttributeTypeParameter RequirementDescription
messageCodeNumeric (4)MandatoryCode to Identity “Create Card” API response
clientTxnIdString (100)MandatoryEchoed from the request.
descriptionString(100)MandatoryField to send the description of the API.
cardDetailsList.urnNumeric (12)MandatoryA unique reference number for the generated card. This urn is used in place of the actual 16-digit card number created for customer identification.
cardDetailsList. cardCVV2Numeric (12)MandatoryEncrypted CVV
cardDetailsList. cardNumberString (50)MandatoryMasked Card Number
cardDetailsList.cardExpiryString (100)MandatoryMasked expiry of the card
Sample response (Decrypted)
{
	"description": "Card Creation",
	"responseCode": "201",
	"messageCode": 1011,
	"clientTxnId": "CreateCard_20240219101007",
	"clientId": "2030",
	"responseDateTime": "20240219154550",
	"responseMessage": "CARD_CREATED_SUCCESSFULLY",
	"bankId": 7030,
	"cardDetailsList": [
		{
			"urn": 70000001328,
			"cardNumber": "4550XXXXXXXX2606",
			"cardExpiry": "XXXX",
			"cardCVV2": " D5LypgiZjzy3oABrMUxA35q2117nnUeeIzVTT0r/OfU="
		}
	]
}
Error codes
Error CodeDescription
1CARD ALREADY CREATED
201CARD_CREATED_SUCCESSFULLY
1003ERROR CARD CREATION
1031INVALID BANK ID
1032INVALID CLIENT CHANNEL
1052SYSTEM ERROR
1056INVALID MESSAGE CODE
1088INVALID DATE FORMAT
1093INVALID CLIENT TXN ID
1093INVALID CLIENT TXN ID
1275INVALID CUSTOMER ID
1283LOGIN SERVICE INTEGRATION CALL FAILURE
1289PROGRAM_NOT_ALLOWED_FOR_PRODUCT
1293INVAILD_CARD_STATUS
1320REQ DATE TIME IS MANDATORY
1366PROGRAM IS INACTIVE
1501SYSTEM ERROR
7960CARD CREATION NOT SUPPORTED
9343CLIENT TXN ID IS MANDATORY
10239PRODUCT ID IS MANDATORY
10240INVALID FIELD NEW CARD STATUS
10099DATABASE ERROR
303178REQUEST DATE TIME INVALID LENGTH
303193BLANK MESSAGE CODE

Request parameters

Body Params
string
required

This parameter must contain the token generated using the Encrypt API.

Headers
string
required

This parameter must contain the API key provided by Wibmo.

int32
required

This parameter must contain the Unique ID for the client shared by Wibmo.

int32
required

This parameter must contain the bank ID.

int32
required

This parameter must contain the child corporate/branch entity ID under the client. This will be generated from the CMS. The default value is 100.

string
required

This parameter must contain the secure code that uniquely identifies the client on payload level for performing operations. Secure code will be shared by Wibmo separately.

string
required

This parameter must contain the unique consumer ID provided by the vendor for which bill is being paid or recharged.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!